###############################################################################
#                                                                             #
#  TakTuk, a middleware for adaptive large scale parallel remote executions   #
#  deployment. Perl implementation, copyright(C) 2006 Guillaume Huard.        #
#                                                                             #
#  This program is free software; you can redistribute it and/or modify       #
#  it under the terms of the GNU General Public License as published by       #
#  the Free Software Foundation; either version 2 of the License, or          #
#  (at your option) any later version.                                        #
#                                                                             #
#  This program is distributed in the hope that it will be useful,            #
#  but WITHOUT ANY WARRANTY; without even the implied warranty of             #
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              #
#  GNU General Public License for more details.                               #
#                                                                             #
#  You should have received a copy of the GNU General Public License          #
#  along with this program; if not, write to the Free Software                #
#  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA #
#                                                                             #
#  Contact: Guillaume.Huard@imag.fr                                           #
#           ENSIMAG - Laboratoire ID                                          #
#           51 avenue Jean Kuntzmann                                          #
#           38330 Montbonnot Saint Martin                                     #
#                                                                             #
###############################################################################

#                                               -*- Autoconf -*-
# Process this file with autoconf to produce a configure script.

AC_PREREQ(2.0)
AC_INIT(taktuk, 3.6.1, guillaume.huard@imag.fr)
AM_INIT_AUTOMAKE

# Checks for programs.
AC_PROG_CC
AC_PROG_LIBTOOL

GENDOC_MAN=YES
PROG_POD2MAN
if test $have_pod2man != yes; then
   AC_MSG_WARN([Disabling manpage generation : 'pod2man' program not available])
   GENDOC_MAN=NO
fi
AM_CONDITIONAL(TAKTUK_GENDOC_MAN, test "$GENDOC_MAN" = "YES")

GENDOC_HTML=YES
PROG_POD2HTML
if test $have_pod2html != yes; then
   AC_MSG_WARN([Disabling html generation : 'pod2html' program not available])
   GENDOC_HTML=NO
fi
AM_CONDITIONAL(TAKTUK_GENDOC_HTML, test "$GENDOC_HTML" = "YES")

PROG_PERL
AM_CONDITIONAL(TAKTUK_NOPERL, test "$have_perl" != "yes")

# Checks for libraries.

# Checks for header files.
AC_CHECK_HEADERS([arpa/inet.h])

# Checks for typedefs, structures, and compiler characteristics.
AC_C_CONST
AC_TYPE_SIZE_T

# Checks for library functions.
AC_FUNC_MALLOC

AC_CONFIG_FILES([
  Makefile
  C-Module/Makefile
  tests/Makefile
  tests/options/Makefile
  tests/commands/Makefile
  tests/file_transfer/Makefile
  tests/comm/Makefile
  tests/comm_c/Makefile
  tests/dynamic/Makefile
  tests/real_peers/Makefile

  taktuk.pc
  tests/functions.sh
  tests/options/arguments
  tests/options/arguments2
  tests/options/arguments3
])
#AC_CONFIG_FILES([tests/test_args.sh],
#	[chmod +x tests/test_args.sh])
AC_OUTPUT

